onEvent('recipes', event => {

    const id_prefix = 'create:kubejs/pressing';

    const recipes = [
        {result: 'emendatusenigmatica:lapis_plate', ingredient: 'minecraft:lapis_lazuli', id: 'lapis_plate'}
    ];


    metals.forEach((metal) => {
        const ingot = itemOf(`#forge:ingots/${metal}`);
        const plate = itemOf(`#forge:plates/${metal}`);
        if(plate!=null){
            event.recipes.createPressing(plate, ingot).id(`create:pressing/${metal}_ingot`);
        }
    });
    gems.forEach((metal) => {
        const gem = itemOf(`#forge:gems/${metal}`);
        const plate = itemOf(`#forge:plates/${metal}`);
        if(plate!=null){
            event.recipes.createPressing(plate, gem).id(`create:pressing/${metal}_ingot`);
        }
    });

    recipes.forEach((recipe) => {
        event.recipes.createPressing(recipe.result, recipe.ingredient).id(`${id_prefix}/${recipe.id}`);
    });

});